> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dataset Branches



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/branches
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/branches:
    get:
      tags:
        - api
        - datasets
      summary: List Dataset Branches
      operationId: list_dataset_branches_api_datasets__dataset_id__branches_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: branch
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optional branch name to mark as selected when addressing a dataset
              family URL.
            title: Branch
          description: >-
            Optional branch name to mark as selected when addressing a dataset
            family URL.
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BranchListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BranchListResponse:
      properties:
        family_dataset_id:
          type: string
          title: Family Dataset Id
        family_name:
          type: string
          title: Family Name
        selected_branch_id:
          type: string
          title: Selected Branch Id
        branch_count:
          type: integer
          title: Branch Count
          default: 0
        branches:
          items:
            $ref: '#/components/schemas/BranchSummaryRead'
          type: array
          title: Branches
      type: object
      required:
        - family_dataset_id
        - family_name
        - selected_branch_id
      title: BranchListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BranchSummaryRead:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_name:
          type: string
          title: Dataset Name
        branch_name:
          type: string
          title: Branch Name
        is_main_branch:
          type: boolean
          title: Is Main Branch
          default: false
        branch_family_uuid:
          type: string
          title: Branch Family Uuid
        branch_origin:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Origin
        source_branch_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Branch Uuid
        created_from_healing_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created From Healing Job Id
        source_snapshot_created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Snapshot Created At
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        can_edit:
          type: boolean
          title: Can Edit
          default: false
        has_drift_snapshots:
          type: boolean
          title: Has Drift Snapshots
          default: false
        drift_snapshot_count:
          type: integer
          title: Drift Snapshot Count
          default: 0
        current_snapshot_created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Snapshot Created At
      type: object
      required:
        - dataset_id
        - dataset_name
        - branch_name
        - branch_family_uuid
      title: BranchSummaryRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````